org.apache.poi.hslf.record

## Class UnknownRecordPlaceholder

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.UnknownRecordPlaceholder

- All Implemented Interfaces:
    GenericRecord

      public final class UnknownRecordPlaceholder
      extends RecordAtom

  If we come across a record we don't know about, we create one of these. It allows us to keep track of what it contains, so we can write it back out to disk unchanged
  Author:
    Nick Burch

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `UnknownRecordPlaceholder(byte[] source, int start, int len)` Create a new holder for a record we don't grok

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `long` | `getRecordType()` Return the value we were given at creation
    `RecordTypes` | `getRecordTypeEnum()` Return the value as enum we were given at creation
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownRecordPlaceholder

          protected UnknownRecordPlaceholder(byte[] source,
                                             int start,
                                             int len)

      Create a new holder for a record we don't grok

  - ### Method Detail

    - #### getRecordType

          public long getRecordType()

      Return the value we were given at creation
      Specified by:
        `getRecordType` in class `Record`

    - #### getRecordTypeEnum

          public RecordTypes getRecordTypeEnum()

      Return the value as enum we were given at creation

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.